<?php
namespace Steps;

abstract class AbstractStep
{

    private $observers = array();

    private static $config;

    protected $projects;

    protected $clientStatus;

    protected $versions;

    public function setVersions(\DataContainers\CurrentVersion $versions)
    {
        $this->versions = $versions;
    }

    public function setClientStatus(\DataContainers\ClientUpdateStatus $clientStatus)
    {
        $this->clientStatus = $clientStatus;
    }

    public function setProjectsList(\DataContainers\CurrentProject $projects)
    {
        $this->projects = $projects;
    }

    public abstract function execute();


}
